# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "pathcheck"
version = "1.0.0"
authors = ["valcubeto@proton.me"]
build = false
exclude = [
    "Justfile",
    "path-test",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Check the status of folders listed in $PATH."
readme = "README.md"
keywords = [
    "cli",
    "terminal",
]
categories = ["command-line-utilities"]
license = "MIT"
repository = "https://github.com/valcubeto/pathcheck"

[[bin]]
name = "pathcheck"
path = "src/main.rs"

[dependencies.clap]
version = "4.5.60"
features = [
    "std",
    "derive",
    "suggestions",
    "usage",
    "help",
]
default-features = false

[dependencies.faccess]
version = "0.2.4"

[dependencies.lazy-regex]
version = "3.6.0"

[dependencies.libc]
version = "0.2.182"
default-features = false

[dependencies.owo-colors]
version = "4.3.0"
features = ["supports-colors"]
default-features = false
